import React from 'react';
import './UserSelection.css';

interface User {
  id: number;
  name: string;
}

interface UserSelectionProps {
  users: User[];
  onSelectUser: (user: User) => void;
}

export const UserSelection: React.FC<UserSelectionProps> = ({ users, onSelectUser }) => {
  console.log('UserSelection render:', { users });

  return (
    <div className="user-selection-container">
      <div className="user-selection-card">
        <h2>Select Your User</h2>
        <div className="user-list">
          {users.map((user) => (
            <button
              key={user.id}
              className="user-button"
              onClick={() => onSelectUser(user)}
            >
              {user.name}
            </button>
          ))}
        </div>
      </div>
    </div>
  );
};