import { create } from 'zustand';
import { devtools, persist } from 'zustand/middleware';

interface ThemeState {
  primaryColor: string;
  setPrimaryColor: (color: string) => void;
}

export const useThemeStore = create<ThemeState>()(
  devtools(
    persist(
      (set) => ({
        primaryColor: '#1976d2', // MUI default blue
        setPrimaryColor: (color) => set({ primaryColor: color }),
      }),
      {
        name: 'theme-storage',
      }
    )
  )
);