import knex, { Knex } from 'knex';
import config from './knexfile';
import type { Group, Task, Step, Image, User, Note, PrintHistory } from './types.js';

export function createDb(env: string = process.env.NODE_ENV || 'development') {
  return knex(config[env]);
}

export function groups(db: Knex) {
  return db<Group>('groups');
}

export function tasks(db: Knex) {
  return db<Task>('tasks');
}

export function steps(db: Knex) {
  return db<Step>('steps');
}

export function images(db: Knex) {
  return db<Image>('images');
}

export function users(db: Knex) {
  return db<User>('users');
}

export function notes(db: Knex) {
  return db<Note>('notes');
}

export function printHistory(db: Knex) {
  return db<PrintHistory>('print_history');
}